# Update a brief

Partially updates an existing brief using the provided fields. Only the fields included in the request body will be updated; all other existing fields will remain unchanged.

Endpoint: PUT /api/v1/brief/{brief_id}
Version: v2.0
Security: HTTPBearer

## Security:

  - `HTTPBearer` (unknown)
    http bearer JWT

## Path parameters:

  - `brief_id` (string, required)
    The unique identifier of the brief to retrieve. To get this ID, you can use the [List briefs](#operation/list-briefs) endpoint to retrieve the list of briefs in your organization.

## Header parameters:

  - `x-sc-job-id` (any)
    A unique identifier for the job, used to trace, audit, and revert actions performed by an AI agent through the Agent API.

## Request fields (application/json):

  - `name` (any)
    The name of the brief
    Example: New Summer Campaign Brief

  - `fields` (any)
    Dictionary of field names to their values

## Response 200:

  - `200` (unknown)
    Successful response

## Response 200 fields (application/json):

  - `id` (string)
    The unique identifier of the brief.
    Example: a1b2c3d4-e5f6-7890-abcd-ef1234567890

  - `icon` (any)
    The icon associated with the brief.

  - `name` (string)
    The name of the brief.
    Example: New Summer Campaign Brief

  - `status` (string)
    The status of the brief. Draft by default.
    Example: Draft

  - `locale` (string)
    The locale code in the format xx-XX.
    Example: en-us

  - `fields` (object)
    Dictionary of field names to their values.

  - `isTemplate` (boolean)

  - `contributors` (any)
    A list of users who contributed to the brief.

  - `createdBy` (any)
    The user who created the brief.

  - `createdBy.type` (string)
    The type of the link, which is always 'ExternalLink' for this model.
    Example: ExternalLink

  - `createdBy.relatedSystem` (string)
    Represents the related system reference for external links
    Enum: "contenthub", "mms", "ai", "xmcloud", "co"

  - `createdBy.relatedType` (any)
    The type of the related entity in the external system, or null if not specified.
    Example: Dashboard

  - `createdBy.id` (string)
    The unique identifier of the related entity in the external system.
    Example: dashboard-12345

  - `createdOn` (any)
    The ISO 8601 timestamp when the brief was created.
    Example: 2026-01-15T10:30:00Z

  - `updatedBy` (any)
    The user who last updated the brief.

  - `updatedOn` (any)
    The ISO 8601 timestamp when the brief was last updated.
    Example: 2026-04-01T08:00:00Z

  - `briefType` (any)

  - `briefType.type` (string)

  - `briefType.relatedType` (string)

  - `briefType.id` (string)

  - `briefType.uri` (any)

## Response 422:

  - `422` (unknown)
    Unprocessable entity

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array)
    The location of the error in the request.

  - `detail.msg` (string)
    The error message.

  - `detail.type` (string)
    The type of error.

  - `detail.input` (any)
    The input that caused the error.

  - `detail.ctx` (object)
    The context in which the error occurred.

